statusmonwsoverall

Status Monitoring - Workstations

Description

This is a top level panel that reads V4.5 workstation configuration and displays Ok/Fail status for listed workstations.

Configuration

This panel and its components requires the minimum amount of configuration.

The top level panel uses two components:

  • page - page buttons, independently aggregates status into single ok/fail indication
  • statusWsMon - display of a single workstation name and status
    Both of these components are documented separately.

This application reads workstations.xml (standard V4.5 configuration file) and targets both the page components and the first page of individual workstation components (statusMonWs).

Selecting a new page retargets the individual workstation components.

To work, this top level panel requires that the page controls are called:

page_n

where n is the page number.

Each workstation component is called:

ws_n

where n is the button number

This UI determines for itself how many workstation / page buttons there are to ensure that the paging works.

Ignored Workstations

The configuration file worksations.xml is a pretty good place to get workstation information from....but there may be additional workstations that are development/test machines that you would not expect to see on a live system.

These can be manually excluded by using the design-time setting shown here:

Simply add a comma delimited list of the workstations that you want to exclude. This may also include ranges, for example:

1,2,100-200,999

excludes workstation 1, and 2, the entire range between 100 and 200 inclusive and workstation 999.

This field is hidden when the panel is run.

Stylesheets

Name | Use
groupbox | background to the control

Dependencies

This UI uses the image:

/images/tab.png

This UI requires the following external panel projects (subdirectories of this project):

./statusMonWs
./page

Build: bncs_4.7.5 5800 a1b48197a Atos|Syntel © 2021


page

Workstation Status Monitoring - Page Component

Description

This is a component that aggregates workstation status as returned in the internal CSI workstation status infodrivers.

Commands

Name | Type | Use
instance | mandatory | Standard Instance information
add | mandatory write-only | workstation number to monitor and aggregate
text | write-only | text to display on the button

Notifications

This component passes on any notifications from the children on its UI.

Typically this is the following table.

Name | Use
button=released | This is the usual button notification

Stylesheets

Name | Use
enum_ok | OK status (all workstations present)
enum_alarm | Fail status (one or more workstations not present)
Build: bncs_4.7.5 5800 a1b48197a Atos|Syntel © 2021


statusMonWs

Status Mon Workstation Component

Description

This is a simple component to show the state of a single workstation status slot as derived from CSI's internal workstation status infodriver.

It only shows presence of "some" status data, it doesn't otherwise display any detail (but could easily be made to)

Commands

Command | Use
workstation | Workstation whose information we want to display
instance | Instance of the workstation status infodriver

Notifications

None

Stylesheets

Entry | Use
enum_ok | Awake, alive
enum_alarm | Broken
enum_warning | Haven't heard of for a while...
background_discrete | default background style for the "last heard from" display
Build: bncs_4.7.5 5800 a1b48197a Atos|Syntel © 2021